### Method

# Atspi Component set_size

#### Declaration [src]

    gboolean
    atspi_component_set_size (
      AtspiComponent* obj,
      gint width,
      gint height,
      GError** error
    )

#### Description [src]

Resizes the specified component to the given pixel dimensions.

#### Parameters

`width`

  Type: `gint`

  The width to which the component should be resized.

`height`

  Type: `gint`

  The height to which the component should be resized.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful; `FALSE` otherwise.